/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="METHOD")
public class Method extends Feature {

	@Basic
	@Column(name="className")
	protected String mClassName;
	
	@Basic
	@Column(name="methodName")
	protected String mMethodName;

	/**
	 * @return the className
	 */
	public String getClassName() {
		return mClassName;
	}

	/**
	 * @param className the className to set
	 */
	public void setClassName(String className) {
		this.mClassName = className;
	}

	/**
	 * @return the methodName
	 */
	public String getMethodName() {
		return mMethodName;
	}

	/**
	 * @param methodName the methodName to set
	 */
	public void setMethodName(String methodName) {
		this.mMethodName = methodName;
	}
	
	
}
