/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="URL")
public class URL extends Feature {

	@ManyToOne
	@JoinColumn(name="webappId")
	protected Webapp mWebapp;

	/**
	 * @return the webapp
	 */
	public Webapp getWebapp() {
		return mWebapp;
	}

	/**
	 * @param webapp the webapp to set
	 */
	public void setWebapp(Webapp webapp) {
		this.mWebapp = webapp;
	}
	
	
}
